## aws-shell 0.1.1

=== Makefile ===
# Eventually I'll add:
# py.test --cov awsshell --cov-report term-missing --cov-fail-under 95 tests/
# which will fail if tests are under 95%

check:
	###### FLAKE8 #####
	# No unused imports, no undefined vars,
	# follow pep8, and max cyclomatic complexity of 15.
	# I'd eventually like to lower this down to < 10.
	flake8 --ignore=E731,W503 --exclude awsshell/compat.py --max-complexity 15 awsshell/*.py
	#
	#
	##### DOC8 ######
	# Correct rst formatting for docstrings
	#
	##
	doc8 awsshell/*.py
	#
	#
	#
	# Proper docstring conventions according to pep257
	#
	#
	pep257 --add-ignore=D100,D101,D102,D103,D104,D105,D204
	#
	#
	#
	###### PYLINT ERRORS ONLY ######
	#
	#
	#
	pylint --rcfile .pylintrc -E awsshell

pylint:
	###### PYLINT ######
	# Python linter.  This will generally not have clean output.
	# So you'll need to manually verify this output.
	#
	#
	pylint --rcfile .pylintrc awsshell
coverage:
	py.test --cov awsshell --cov-report term-missing tests/

=== debian/changelog ===
aws-shell (0.1.1-2) unstable; urgency=medium

  * debian/control: Add python3-setuptoolt to B-D. (Closes: #841128)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 18 Oct 2016 11:30:27 +0900

aws-shell (0.1.1-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Initial release. (Closes: #808569)
  * Use dh-build
  * Add Vcs-* fields
  * Update Build-Depends
  * Update Vcs-* fields

  [ TANIGUCHI Takaki ]
  * New upstream version 0.1.1
  * Update Build-Depends
  * Update Depends
  * debian/rules: skip test (by upstream test bug)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 16 Oct 2016 20:10:22 +0900

=== debian/control ===
Source: aws-shell
Section: admin
Priority: optional
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 9),
	, awscli (>= 1.11.2)
	, awscli (<< 2.0.0)
	, dh-python
	, python3-all (>= 3.3)
	, python3-setuptools
	, python3-mock
	, python3-configobj(>=5.0.6)
	, python3-prompt-toolkit(>=1.0.0)
	, python3-boto3(>=1.2.1)
	, python3-pygments(>=2.1.3)
Standards-Version: 3.9.8
Homepage: https://github.com/awslabs/aws-shell
Vcs-Git: https://anonscm.debian.org/git/collab-maint/aws-shell.git -b debian/sid
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/aws-shell.git/?h=debian/sid
X-Python3-Version: >= 3.3

Package: aws-shell
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	${python3:Depends},
	python3,
	awscli (>= 1.11.2),
	awscli (<< 2.0.0),
	python3-boto3 (>= 1.2.1),
	python3-configobj (>= 5.0.6),
Description: Interactive productivity booster for the AWS CLI
 aws-shell provides a interactive environment to control AWS services.
 The following features are supported:
 .
  * Auto completion of commands and options
  * Shorthand auto completion
  * Server side auto completion
  * Fuzzy searching
  * Inline documentation
  * Fish-style auto suggestions
  * Command history
  * Toolbar options
  * Dot commands
  * Executing Shell Commands

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=awsshell

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	true # skip test by upstream bug

## aws-shell 0.2.0

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,9 @@
 	#
 	pylint --rcfile .pylintrc -E awsshell
 
+test:
+	python scripts/ci/run-tests
+
 pylint:
 	###### PYLINT ######
 	# Python linter.  This will generally not have clean output.
@@ -38,5 +41,6 @@
 	#
 	#
 	pylint --rcfile .pylintrc awsshell
+
 coverage:
 	py.test --cov awsshell --cov-report term-missing tests/

=== debian/changelog ===
aws-shell (0.2.0-2) unstable; urgency=medium

  * Add python3-pytest to B-D (Closes: 889531)
  * debian/copyright: Reorder paragtaph.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 04 Feb 2018 18:25:38 +0900

aws-shell (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * debian/rules: Run test.
  * debian/compat: 11
  * Bump Standards-Vertion to 4.1.3
  * Migrate Vcs-* to salsa.debian.org.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 03 Feb 2018 22:22:24 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TANIGUCHI Takaki <takaki@debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
 	, awscli (>= 1.11.2)
 	, awscli (<< 2.0.0)
 	, dh-python
@@ -14,10 +14,11 @@
 	, python3-prompt-toolkit(>=1.0.0)
 	, python3-boto3(>=1.2.1)
 	, python3-pygments(>=2.1.3)
-Standards-Version: 3.9.8
+	, python3-pytest
+Standards-Version: 4.1.3
 Homepage: https://github.com/awslabs/aws-shell
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/aws-shell.git -b debian/sid
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/aws-shell.git/?h=debian/sid
+Vcs-Git: https://salsa.debian.org/debian/aws-shell.git
+Vcs-Browser: https://salsa.debian.org/debian/aws-shell
 X-Python3-Version: >= 3.3
 
 Package: aws-shell

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=awsshell
#export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
https://github.com/awslabs/aws-shell/releases .*/([\d\.]+).tar.gz

## aws-shell 0.2.1

=== debian/changelog ===
aws-shell (0.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * d/copyright: Use https protocol in Format field

  [ TANIGUCHI Takaki ]
  * New upstream version 0.2.1
  * d/control: Update Depends.
  * Bump Stanrads-Version to 4.2.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 05 Oct 2018 10:39:57 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TANIGUCHI Takaki <takaki@debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 11),
-	, awscli (>= 1.11.2)
+	, awscli (>= 1.16.10)
 	, awscli (<< 2.0.0)
 	, dh-python
 	, python3-all (>= 3.3)
@@ -15,11 +15,10 @@
 	, python3-boto3(>=1.2.1)
 	, python3-pygments(>=2.1.3)
 	, python3-pytest
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/awslabs/aws-shell
 Vcs-Git: https://salsa.debian.org/debian/aws-shell.git
 Vcs-Browser: https://salsa.debian.org/debian/aws-shell
-X-Python3-Version: >= 3.3
 
 Package: aws-shell
 Architecture: all
@@ -27,7 +26,7 @@
 Depends: ${misc:Depends},
 	${python3:Depends},
 	python3,
-	awscli (>= 1.11.2),
+	awscli (>= 1.16.10),
 	awscli (<< 2.0.0),
 	python3-boto3 (>= 1.2.1),
 	python3-configobj (>= 5.0.6),
